Subject: Re: [PATCH next] pci: fix build error with !PCIE_ECRC

From: Alexander Beregalov <[email-masked]>
Date: Tue, 7 Apr 2009 18:41:28 +0400

2009/4/7 Matthew Wilcox <[email-masked]>:
> On Tue, Apr 07, 2009 at 04:37:08PM +0400, Alexander Beregalov wrote:
>> Fix this build error:
>> drivers/built-in.o: In function `pci_init_capabilities':
>> drivers/pci/probe.c:989: undefined reference to `pcie_set_ecrc_checking'
>> drivers/built-in.o: In function `pci_setup':
>> drivers/pci/pci.c:2547: undefined reference to `pcie_ecrc_get_policy'
>
>>  config PCIE_ECRC
>>       bool "PCI Express ECRC support"
>> -     depends on PCI
>> +     depends on PCI && PCIEPORTBUS
>
> How does this part of the patch relate to the above description?

Right, I agree. This should be another patch "PCIE_ECRC should depend on PCIE"

When I found this problem PCIE_ECRC was set, but was not be built in.
My problem needs both patches to be fixed, I will send them few hours later.